/*
 * $Id: preinclude.h 1.2 1998/11/27 16:25:03 olsen Exp olsen $
 *
 * :ts=4
 */

#ifndef _PREINCLUDE_H
#define _PREINCLUDE_H

/****************************************************************************/

#include <intuition/intuition.h>
#include <intuition/pointerclass.h>
#include <intuition/classusr.h>

#include <workbench/workbench.h>
#include <workbench/startup.h>

#include <graphics/gfxbase.h>
#include <graphics/modeid.h>

#include <libraries/asl.h>
#include <libraries/iffparse.h>

#include <devices/timer.h>

#include <dos/dosextens.h>
#include <dos/rdargs.h>
#include <dos/dosasl.h>

#include <exec/memory.h>

#include <clib/intuition_protos.h>
#include <clib/graphics_protos.h>
#include <clib/iffparse_protos.h>
#include <clib/utility_protos.h>
#include <clib/exec_protos.h>
#include <clib/icon_protos.h>
#include <clib/alib_protos.h>
#include <clib/asl_protos.h>
#include <clib/dos_protos.h>

#include <pragmas/intuition_pragmas.h>
#include <pragmas/graphics_pragmas.h>
#include <pragmas/iffparse_pragmas.h>
#include <pragmas/utility_pragmas.h>
#include <pragmas/icon_pragmas.h>
#include <pragmas/exec_sysbase_pragmas.h>
#include <pragmas/dos_pragmas.h>
#include <pragmas/asl_pragmas.h>

#define USE_BUILTIN_MATH
#include <string.h>
#include <stdlib.h>
#include <dos.h>

/****************************************************************************/

#include "asyncio.h"

/****************************************************************************/

#include "libraries/cybergraphics.h"
#include "clib/cybergraphics_protos.h"
#include "pragmas/cybergraphics_pragmas.h"

/****************************************************************************/

#endif /* _PREINCLUDE_H */
